package com.fs.course.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.course.domain.FsUserCourseNoteSave;

/**
 * 课堂笔记保存Service接口
 *
 * @author fs
 * @date 2024-06-05
 */
public interface IFsUserCourseNoteSaveService
{
    /**
     * 查询课堂笔记保存
     *
     * @param saveId 课堂笔记保存主键
     * @return 课堂笔记保存
     */
    public FsUserCourseNoteSave selectFsUserCourseNoteSaveBySaveId(Long saveId);

    /**
     * 查询课堂笔记保存列表
     *
     * @param fsUserCourseNoteSave 课堂笔记保存
     * @return 课堂笔记保存集合
     */
    public List<FsUserCourseNoteSave> selectFsUserCourseNoteSaveList(FsUserCourseNoteSave fsUserCourseNoteSave);

    /**
     * 新增课堂笔记保存
     *
     * @param fsUserCourseNoteSave 课堂笔记保存
     * @return 结果
     */
    public int insertFsUserCourseNoteSave(FsUserCourseNoteSave fsUserCourseNoteSave);

    /**
     * 修改课堂笔记保存
     *
     * @param fsUserCourseNoteSave 课堂笔记保存
     * @return 结果
     */
    public int updateFsUserCourseNoteSave(FsUserCourseNoteSave fsUserCourseNoteSave);

    /**
     * 批量删除课堂笔记保存
     *
     * @param saveIds 需要删除的课堂笔记保存主键集合
     * @return 结果
     */
    public int deleteFsUserCourseNoteSaveBySaveIds(Long[] saveIds);

    /**
     * 删除课堂笔记保存信息
     *
     * @param saveId 课堂笔记保存主键
     * @return 结果
     */
    public int deleteFsUserCourseNoteSaveBySaveId(Long saveId);

    R checkSave(Long noteId, long userId);

    int deleteSave(Long noteId, long userId);
}
